/*
 * gpe-applauncher
 *
 * Application launcher for GPE Phone Edition.
 * 
 * (c) kernel concepts 2006
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GPE_APPLAUNCHER_SETTINGS_H
#define _GPE_APPLAUNCHER_SETTINGS_H

#define LOCAL_THEMEDIR    PREFIX "/share/themes/"
#define DEFAULT_THEMEDIR  "/usr/share/themes/"
#define THEMEFOLDER       "gpe-applauncher"

typedef struct
  {
    gchar *bg_filename;       /* filename of background wallpaper */
    gchar *bg_colour;         /* string describing background colour */
    gint  item_size;          /* application icon size */
    gchar *themename;         /* name of currently set theme */
    gchar *home_font_colour;  /* font colour to use for home labels */
    gint  item_layout;        /* layout of application items */
    
    guint16 xset_mask;        /* mask defining which settings are made by 
                                 xsettings (user settings) and which by theme */
  } t_settings;

#define XSET_BG_FILENAME      (1 << 0)
#define XSET_BG_COLOUR        (1 << 1)
#define XSET_ITEM_SIZE        (1 << 2)
#define XSET_HOME_FONT_COLOUR (1 << 3)
#define XSET_ITEM_LAYOUT      (1 << 4)
  
gboolean applauncher_start_xsettings (void);

extern t_settings applauncher_settings;

#endif
